hcd_buffer_create
Prev | Chapter 6. Host Controller APIs | Next

## Name

hcd_buffer_create — initialize buffer pools

## Synopsis

`int hcd_buffer_create (` | struct usb_hcd * | hcd`)`;

## Arguments

`hcd`

  the bus whose buffer pools are to be initialized

## Context

!`in_interrupt`

## Description

Call this as part of initializing a host controller that uses the dma memory allocators. It initializes some pools of dma-coherent memory that will be shared by all drivers using that controller, or returns a negative errno value on error.

Call `hcd_buffer_destroy` to clean up after using those pools.

Prev | Up | Next
usb_hcd_pci_shutdown | Home | hcd_buffer_destroy